Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#26 06-09-2017 12:28:51

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

Antidentity a écrit :

Effectivement, Caribou22 a raison. Nous t'encourageons à lire davantage la documentation sur linux [par exemple sur le WIKI ou les cahiers du débutants https://lescahiersdudebutant.fr/, ainsi que visionner des vidéos (youtube) sur linux en général pour peut-être mieux visualiser. Il y a également la documentation d'ubuntu qui est bien fournie (mais qui ne convient pas nécessairement toujours à Debian)].

- Avec tes messages précédents, on peut voir que tu as 4 mises à jour à installer.
- Il me semble que tu aies partitionné et installé ton système sur un système de fichiers NTFS (qui est le FS de windows et qui est déconseillé pour linux). Je te conseillerais donc de tout réinstaller en formatant mieux (dans un système de fichiers ext3 ou ext4 par exemple.) Apparemment, en lisant une autre discussion ouverte sur le forum, je vois que tu as réinstallé ton système. Je suppose que tu as utilisé l'installateur et laissé debian faire un partitionnement automatique. Si c'est le cas, je suppose que tu as maintenant ton système de fichiers linux en ext4. Vérifiable en tapant la commande:

blkid



C'est un PC avec Widows d'origine, j'ai préféré formater et partitionner le HDD
Linux n'utilisant que le SSD ou le HDD à l'install


root@debian:/home/peter# blkid
/dev/nvme0n1: PTUUID="e078631c-7426-4293-9969-c10a39164b9a" PTTYPE="gpt"
/dev/nvme0n1p1: UUID="B4F0-6C61" TYPE="vfat" PARTUUID="f9c0bf4d-3123-4796-8157-71cbbfdd1a03"
/dev/nvme0n1p2: UUID="1b30cebf-3020-4b4a-aedd-dac1ef81e377" TYPE="ext4" PARTUUID="f84ddeb1-0c28-4241-a660-99fdb113045e"
/dev/nvme0n1p3: UUID="238d3484-6974-4413-a048-134a5b8b7002" TYPE="swap" PARTUUID="84b94893-3cd2-494e-bb0a-335f948038c7"
/dev/sda1: LABEL="HD Linux Ext4 1T" UUID="9d8adfaf-a6e8-4932-9143-bf87477346c4" TYPE="ext4" PARTUUID="8e08ae06-5326-4f80-bfd9-b8471a44512b"
 


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#27 06-09-2017 12:31:29

Antidentity
Membre
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Openbox
Inscription : 03-08-2016

Re : [Résolu] Nouvelle installation Debian 9

Privateer2 a écrit :

Oui, je demandais si un éditeur de texte pouvait convenir pour changer le sources.list


Tu peux réaliser la modification avec un éditeur de texte graphique tel que gedit. Maintenant, nous conseillons toujours en premier lieu de faire ces opérations plutôt en ligne de commande avec nano car, comme cela est indiqué dans le tuto de nIQnutn, il peut y avoir des petites incompatibilités à le faire avec un éditeur graphique.

Hors ligne

#28 06-09-2017 12:57:54

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

chalu a écrit :

Après il y a plusieurs chemins souvent pour atteindre l'objectif smile
Pour ajouter contrib et non-free on peut aussi passer par Synaptic > Configuration > Dépôts
Soit il y a une case à cocher pour activer contrib et non-free soit il faut ajouter à la main, ça dépend si le paquet software-properties-gtk est installé ou pas. Sur Gnome je l'ignore.
https://debian-facile.org/doc:systeme:a … les-depots



Décidément ....

root@debian:/home/peter# apt-get install synaptic
E: dpkg a été interrompu. Il est nécessaire d'utiliser « dpkg --configure -a » pour corriger le problème.
root@debian:/home/peter# dpkg --configure -a
root@debian:/home/peter#
 



Qu'est-ce qui coince là ?

Edit :

Utilisez « dpkg --help » pour obtenir de l'aide à propos de l'installation et la désinstallation des paquets [*] ;
Utilisez « apt » ou « aptitude » pour gérer les paquets de manière plus conviviale ;
Utilisez « dpkg -Dhelp » pour obtenir la liste des valeurs de drapeaux de débogage ;
Utilisez « dpkg --force-help » pour consulter la liste des options de forçage ;
Utilisez « dpkg-deb --help » pour obtenir de l'aide sur la manipulation des fichiers *.deb ;

Les options marquées d'un [*] affichent beaucoup d'informations : tubez-les à travers « less » ou « more ».
root@debian:/home/peter# dpkg --help
Syntaxe : dpkg [<option> ...] <commande>

Commands:
  -i|--install       <.deb file name> ... | -R|--recursive <directory> ...
  --unpack           <.deb file name> ... | -R|--recursive <directory> ...
  -A|--record-avail  <.deb file name> ... | -R|--recursive <directory> ...
  --configure        <package> ... | -a|--pending
  --triggers-only    <package> ... | -a|--pending
  -r|--remove        <package> ... | -a|--pending
  -P|--purge         <package> ... | -a|--pending
  -V|--verify <package> ...        Verify the integrity of package(s).
  --get-selections [<pattern> ...] Get list of selections to stdout.
  --set-selections                 Set package selections from stdin.
  --clear-selections               Deselect every non-essential package.
  --update-avail [<Packages-file>] Replace available packages info.
  --merge-avail [<Packages-file>]  Merge with info from file.
  --clear-avail                    Erase existing available info.
  --forget-old-unavail             Forget uninstalled unavailable pkgs.
  -s|--status <package> ...        Display package status details.
  -p|--print-avail <package> ...   Display available version details.
  -L|--listfiles <package> ...     List files 'owned' by package(s).
  -l|--list [<pattern> ...]        List packages concisely.
  -S|--search <pattern> ...        Find package(s) owning file(s).
  -C|--audit [<package> ...]       Check for broken package(s).
  --yet-to-unpack                  Print packages selected for installation.
  --predep-package                 Print pre-dependencies to unpack.
  --add-architecture <arch>        Add <arch> to the list of architectures.
  --remove-architecture <arch>     Remove <arch> from the list of architectures.
  --print-architecture             Print dpkg architecture.
  --print-foreign-architectures    Print allowed foreign architectures.
  --assert-<feature>               Assert support for the specified feature.
  --validate-<thing> <string>      Validate a <thing>'s <string>.
  --compare-versions <a> <op> <b>  Compare version numbers - see below.
  --force-help                     Show help on forcing.
  -Dh|--debug=help                 Show help on debugging.

  -?, --help                         Afficher ce message.
      --version                      Afficher la version.

Fonctionnalités pouvant être déclarées : support-predepends, working-epoch, long-filenames, multi-conrep, multi-arch, versioned-provides.

Validatable things: pkgname, archname, trigname, version.

Utiliser dpkg avec -b, --build, -c, --contents, -e, --control, -I, --info,
-f, --field, -x, --extract, -X, --vextract, --ctrl-tarfile, --fsys-tarfile
sur les archives (taper dpkg-deb --help.)

Options :
  --admindir=<rép.>          Utilise le répertoire <rép.> au lieu de /var/lib/dpkg.
  --root=<rép.>              Installe sur un système alternatif dont la
                                 racine est située à un autre endroit.
  --instdir=<rép.>           Change la racine d'installation sans changer
                                 le répertoire d'administration.
  --path-exclude=<motif>     Ne pas installer les chemins correspondant à
                                 un motif du shell.
  --path-include=<pattern>   Réinclut un motif après une exclusion antérieure.
  -O|--selected-only         Ignore les paquets non sélectionnées pour être
                                 installés ou mis à niveau.
  -E|--skip-same-version     Ignore les paquets dont la version est la même
                                 que celle installée.
  -G|--refuse-downgrade      Ignore les paquets dont la version est moins
                                 récente que celle installée.
  -B|--auto-deconfigure      Installe même si cela entraîne la rupture
                                 d'autres paquets.
  --[no-]triggers            Passe ou force les actions différées
                                 invoquées par le traitement.
  --verify-format=<format>   Vérifie le format de sortie (pris en charge : « rpm »).
  --no-debsig                N'essaie pas d'authentifier les signatures
                                 des paquets.
  --no-act|--dry-run|--simulate
                             Se contente d'afficher les actions à effectuer
                                 sans les réaliser effectivement.
  -D|--debug=<octal>         Active le débogage (voir -Dhelp ou --debug=help).
  --status-fd <n>            Envoie les mises à jour d'état au descripteur
                                 de fichier <n>.
  --status-logger=<commande> Envoie les mises à jour d'état sur l'entrée
                                 standard de la commande <commande>.
  --log=<fichier>            Enregistre dans <fichier> les changements
                                 d'état et les actions effectuées.
  --ignore-depends=<paquet>,...
                             Ignore les dépendances impliquant <paquet>.
  --force-...                Passe outre les problèmes (voir --force-help).
  --no-force-...|--refuse-...
                             Arrête en cas de problème(s).
  --abort-after <n>          Arrête après avoir rencontré <n> erreurs.

 Les opérateurs de comparaison pour --compare-versions sont les  suivants :
  lt le eq ne ge gt       (ne considérer aucune version comme plus  tardive
                           que n'importe quelle version)
  lt-nl le-nl ge-nl gt-nl (ne considérer aucune version comme plus récente
                           que n'importe quelle version)
  < << <= = >= >> >       (uniquement pour des raison de compatibilité  avec
                           la syntaxe du fichier control)

Utilisez « apt » ou « aptitude » pour gérer les paquets de manière plus conviviale.
root@debian:/home/peter# D
 

Dernière modification par Privateer2 (06-09-2017 12:59:36)


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#29 06-09-2017 13:03:27

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

Antidentity a écrit :

Privateer2 a écrit :

Oui, je demandais si un éditeur de texte pouvait convenir pour changer le sources.list


Tu peux réaliser la modification avec un éditeur de texte graphique tel que gedit. Maintenant, nous conseillons toujours en premier lieu de faire ces opérations plutôt en ligne de commande avec nano car, comme cela est indiqué dans le tuto de nIQnutn, il peut y avoir des petites incompatibilités à le faire avec un éditeur graphique.



C'est pourquoi j'ai utilisé nano.
Mais je ne vois pas comment écrire dedans


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#30 06-09-2017 13:19:39

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Nouvelle installation Debian 9

quand tu ouvres nano, tu devrais voir le contenu du fichier.
ensuite, il suffit de saisir le texte normalement.

je ne vois pas ce qui ne pourrai pas marcher chez toi.
fais des essais avec nano sur un fichier de test

nano test_nano.txt


tu peux ouvrir gedit à coté pour vérifier les modifications.


sinon tu as testé avec gedit ?

Hors ligne

#31 06-09-2017 13:21:33

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

nIQnutn a écrit :

quand tu ouvres nano, tu devrais voir le contenu du fichier.
ensuite, il suffit de saisir le texte normalement.

je ne vois pas ce qui ne pourrai pas marcher chez toi.
fais des essais avec nano sur un fichier de test

nano test_nano.txt


tu peux ouvrir gedit à coté pour vérifier les modifications.


sinon tu as testé avec gedit ?




Ca fonctionne avec le fichier test, je continue


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#32 06-09-2017 13:24:33

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

smolski a écrit :



Ensuite, mettre totalement à jour et tester le apt-cache que j'ai utilisé pour voir ce qu'il en est de la disponibilité du firmware en question plutôt que de tenter de l'installer au hasard.

Précisément ?


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#33 06-09-2017 13:35:04

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Nouvelle installation Debian 9

Privateer2 a écrit :

nIQnutn a écrit :

quand tu ouvres nano, tu devrais voir le contenu du fichier.
ensuite, il suffit de saisir le texte normalement.

je ne vois pas ce qui ne pourrai pas marcher chez toi.
fais des essais avec nano sur un fichier de test

nano test_nano.txt


tu peux ouvrir gedit à coté pour vérifier les modifications.


sinon tu as testé avec gedit ?




Ca fonctionne avec le fichier test, je continue


je ne vois pas ce qui pourrait empêcher d'éditer le fichier /etc/apt/sources.list avec nano.
pour l'enregistrer il faut être root mais pas pour l'éditer.

Hors ligne

#34 06-09-2017 13:37:12

Antidentity
Membre
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Openbox
Inscription : 03-08-2016

Re : [Résolu] Nouvelle installation Debian 9

Privateer2 a écrit :

Précisément ?


Smolski voulait dire par là que tu devais:
- modifier la liste de tes dépôts (ce que tu tentes de faire sur l'autre fil de discussion) en rajoutant les dépôts "contrib non-free" à ton sources.list

- mettre à jour tes dépôts via:

apt update



- installer les mises à jour si apt en propose (ce qui était ton cas précédemment)

apt upgrade



- vérifier de la présence du firmware manquant:

apt-cache policy firmware-atheros



- installer le firmware-atheros si bien présent:

apt install firmware-atheros

Hors ligne

#35 06-09-2017 13:39:29

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

nIQnutn a écrit :

Privateer2 a écrit :

nIQnutn a écrit :

quand tu ouvres nano, tu devrais voir le contenu du fichier.
ensuite, il suffit de saisir le texte normalement.

je ne vois pas ce qui ne pourrai pas marcher chez toi.
fais des essais avec nano sur un fichier de test

nano test_nano.txt


tu peux ouvrir gedit à coté pour vérifier les modifications.


sinon tu as testé avec gedit ?




Ca fonctionne avec le fichier test, je continue


je ne vois pas ce qui pourrait empêcher d'éditer le fichier /etc/apt/sources.list avec nano.
pour l'enregistrer il faut être root mais pas pour l'éditer.



et je dois ajouter ceci "

    # Debian Stretch, dépôt principal + paquets non libres
    deb http://deb.debian.org/debian/ stretch main contrib non-free
    # Debian Stretch, mises-à-jour de sécurité + paquets non libres
    deb http://security.debian.org/ stretch/updates main contrib non-free
    # Debian stretch, mises-à-jour "volatiles" + paquets non libres
    deb http://deb.debian.org/debian/ stretch-updates main contrib non-free

"

D'après le tuto
Right ? emplacement particulier ou juste après le reste

Edit à toto :

Mis les sources en utilisant la balise Code du forum avec l'option apt_sources de la liste déroulante.
Utiliser les balises du forum rend les posts plus clairs en plus de les égayer joliement, non ?


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#36 06-09-2017 13:41:05

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

Antidentity a écrit :

Privateer2 a écrit :

Précisément ?



- vérifier de la présence du firmware manquant:

apt-cache policy firmware-atheros



peter@debian:~$ apt-cache policy firmware-atheros
N: Impossible de trouver le paquet firmware-atheros
 



Edit : Ca promet

Dernière modification par Privateer2 (06-09-2017 13:42:22)


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#37 06-09-2017 13:46:13

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Nouvelle installation Debian 9

Ne fait pas des copies colles des commandes que l'on t'indique mais écris-les en utilisant l'autocompletion !
https://debian-facile.org/doc:programma … completion

Sinon, as-tu mis à jour complètement ton système une fois tes nouvelles sources enregistrées ?

apt-get update


apt-get dist-upgrade



Le tuto de apt-get :
https://debian-facile.org/doc:systeme:apt:apt-get

... 60-1--1f7e.gif

Dernière modification par smolski (06-09-2017 13:51:55)


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#38 06-09-2017 13:47:13

Hassassin
Membre
Distrib. : Serveur : Debian 9 / Perso : MATE Ubuntu 16.10
Noyau : Serveur : 4.9.0-1-amd64 / Perso : 4.8.0-41-generic
(G)UI : Serveur : null / Perso : Compiz
Inscription : 21-06-2011

Re : [Résolu] Nouvelle installation Debian 9

Erreur
Ah non juste grillé par smolski

Dernière modification par Hassassin (06-09-2017 13:48:45)

Hors ligne

#39 06-09-2017 13:55:44

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

smolski a écrit :

Ne fait pas des copies colles des commandes que l'on t'indique mais écris-les en utilisant l'autocompletion !
https://debian-facile.org/doc:programma … completion

Sinon, as-tu mis à jour complètement ton système une fois tes nouvelles sources enregistrées ?

apt-get update


apt-get dist-upgrade



Le tuto de apt-get :
https://debian-facile.org/doc:systeme:apt:apt-get

... https://arpinux.org/images/gifs/60-1--1f7e.gif



root@debian:/home/peter# apt-get update
Ign:1 http://ftp.be.debian.org/debian stretch InRelease
Réception de:2 http://ftp.be.debian.org/debian stretch-updates InRelease [88,5 kB]
Atteint:3 http://security.debian.org/debian-security stretch/updates InRelease
Atteint:4 http://ftp.be.debian.org/debian stretch Release            
88,5 ko réceptionnés en 0s (274 ko/s)
Lecture des listes de paquets... Fait
root@debian:/home/peter# apt-get dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  0ad-data 7kaa-data ca-certificates-mono cli-common gconf-service
  gconf2-common gnome-video-effects libenet7 libgconf-2-4 libgconf2.0-cil
  libgdiplus libglade2-0 libglade2.0-cil libglib2.0-cil
  libgnome-games-support-1-2 libgnome-games-support-common libgtk2.0-cil
  libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-i18n-west4.0-cil
  libmono-i18n4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-drawing4.0-cil
  libmono-system-security4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libqqwing2v5 libsdl2-2.0-0 mono-4.0-gac mono-gac
  mono-runtime mono-runtime-common mono-runtime-sgen
Veuillez utiliser « apt autoremove » pour les supprimer.
Les paquets suivants seront mis à jour :
  0ad-data file libmagic-mgc libmagic1
4 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 397 ko/593 Mo dans les archives.
Après cette opération, 1.610 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://security.debian.org/debian-security stretch/updates/main amd64 file amd64 1:5.30-1+deb9u1 [64,1 kB]
Réception de:2 http://security.debian.org/debian-security stretch/updates/main amd64 libmagic1 amd64 1:5.30-1+deb9u1 [111 kB]
Réception de:3 http://security.debian.org/debian-security stretch/updates/main amd64 libmagic-mgc amd64 1:5.30-1+deb9u1 [222 kB]
397 ko réceptionnés en 0s (625 ko/s)
Lecture des fichiers de modifications (« changelog »)... Terminé
(Lecture de la base de données... 137379 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../0ad-data_0.0.21-1_all.deb ...
Dépaquetage de 0ad-data (0.0.21-1) sur (0.0.21-1) ...
Préparation du dépaquetage de .../file_1%3a5.30-1+deb9u1_amd64.deb ...
Dépaquetage de file (1:5.30-1+deb9u1) sur (1:5.30-1) ...
Préparation du dépaquetage de .../libmagic1_1%3a5.30-1+deb9u1_amd64.deb ...
Dépaquetage de libmagic1:amd64 (1:5.30-1+deb9u1) sur (1:5.30-1) ...
Préparation du dépaquetage de .../libmagic-mgc_1%3a5.30-1+deb9u1_amd64.deb ...
Dépaquetage de libmagic-mgc (1:5.30-1+deb9u1) sur (1:5.30-1) ...
Paramétrage de 0ad-data (0.0.21-1) ...
Paramétrage de libmagic-mgc (1:5.30-1+deb9u1) ...
Paramétrage de libmagic1:amd64 (1:5.30-1+deb9u1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u1) ...
Traitement des actions différées (« triggers ») pour man-db (2.7.6.1-2) ...
Paramétrage de file (1:5.30-1+deb9u1) ...
root@debian:/home/peter#


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#40 06-09-2017 13:57:08

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Nouvelle installation Debian 9

oui, il faut tout remplacé.
il faut que tu te retrouves avec la même chose que le wiki.

pour vérifier, tu peux lancer la commande:

cat /etc/apt/sources.list

Hors ligne

#41 06-09-2017 13:57:49

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 3.16.0-4-amd64 - 3.16.39-1
(G)UI : gnome 1:3.14+3
Inscription : 21-10-2008

Re : [Résolu] Nouvelle installation Debian 9

reste l'autre maintenant pour que ce soit effectif dans ton pc :

apt-get dist-upgrade



Je te mets des liens vers les tutos, visite-les au lieu de poursuivre à l'aveugle, sinon, tu seras toujours dépendant et ce n'est pas ça le libre.


"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#42 06-09-2017 14:11:44

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

smolski a écrit :

reste l'autre maintenant pour que ce soit effectif dans ton pc :

apt-get dist-upgrade



Je te mets des liens vers les tutos, visite-les au lieu de poursuivre à l'aveugle, sinon, tu seras toujours dépendant et ce n'est pas ça le libre.



C'est fait aussi ça, c'est dans la fenêtre 'code' aussi


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#43 06-09-2017 14:14:16

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

nIQnutn a écrit :

oui, il faut tout remplacé.
il faut que tu te retrouves avec la même chose que le wiki.

pour vérifier, tu peux lancer la commande:

cat /etc/apt/sources.list



Oui, mais le driver voulu n'y est pas

edit :

peter@debian:~$ apt-cache policy firmware-atheros
N: Impossible de trouver le paquet firmware-atheros
 

Dernière modification par Privateer2 (06-09-2017 14:14:50)


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#44 06-09-2017 14:14:55

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome
Inscription : 16-03-2012
Site Web

Re : [Résolu] Nouvelle installation Debian 9

une fois que tu as édité tes sources, tu dois mettre à jour la liste des paquets disponibles (apt-get upgrade).

Hors ligne

#45 06-09-2017 14:30:57

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

nIQnutn a écrit :

oui, il faut tout remplacé.
il faut que tu te retrouves avec la même chose que le wiki.

pour vérifier, tu peux lancer la commande:

cat /etc/apt/sources.list



On vas y arriver

root@debian:/home/peter# gedit /etc/apt/sources.list

(gedit:5988): GLib-GIO-CRITICAL **: g_dbus_proxy_new_sync: assertion 'G_IS_DBUS_CONNECTION (connection)' failed

(gedit:5988): GLib-GIO-CRITICAL **: g_dbus_proxy_get_name_owner: assertion 'G_IS_DBUS_PROXY (proxy)' failed

(gedit:5988): dconf-WARNING **: failed to commit changes to dconf: La connexion est fermée

(gedit:5988): dconf-WARNING **: failed to commit changes to dconf: La connexion est fermée
Error creating proxy: La connexion est fermée (g-io-error-quark, 18)
Error creating proxy: La connexion est fermée (g-io-error-quark, 18)
Error creating proxy: La connexion est fermée (g-io-error-quark, 18)
Error creating proxy: La connexion est fermée (g-io-error-quark, 18)
Error creating proxy: La connexion est fermée (g-io-error-quark, 18)

(gedit:5988): dconf-WARNING **: failed to commit changes to dconf: La connexion est fermée

(gedit:5988): dconf-WARNING **: failed to commit changes to dconf: La connexion est fermée

(gedit:5988): dconf-WARNING **: failed to commit changes to dconf: La connexion est fermée

** (gedit:5988): WARNING **: Set document metadata failed: La définition de l'attribut metadata::gedit-spell-language n'est pas prise en charge

** (gedit:5988): WARNING **: Set document metadata failed: La définition de l'attribut metadata::gedit-encoding n'est pas prise en charge

 



Sinon  :

peter@debian:~$ cat /etc/apt/sources.list
# Debian Stretch, dépôt principal + paquets non libres
    deb http://deb.debian.org/debian/ stretch main contrib non-free
    # Debian Stretch, mises-à-jour de sécurité + paquets non libres
    deb http://security.debian.org/ stretch/updates main contrib non-free
    # Debian stretch, mises-à-jour "volatiles" + paquets non libres
    deb http://deb.debian.org/debian/ stretch-updates main contrib non-free
 


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#46 06-09-2017 14:49:45

seb95
Membre
Distrib. : Debian Stable et SID
(G)UI : Xfce et KDE
Inscription : 19-02-2017
Site Web

Re : [Résolu] Nouvelle installation Debian 9

Bon il faut a tout prix mettre a jour sa liste de paquets avant de chercher et d'installer un paquet, donc:

apt update


ou

apt-get update



Puis on cherche son paquets:

apt search firmware-atheros



ou

apt-cache policy firmware-atheros



ce qui devrait donner

apt search  firmware-atheros


firmware-atheros:
  Installé : (aucun)
  Candidat : 20161130-3
 Table de version :
     20161130-3 500
        500 http://ftp.fr.debian.org/debian stretch/non-free amd64 Packages
        500 http://ftp.fr.debian.org/debian stretch/non-free i386 Packages
 



Pour l'installer c'est

apt install firmware-atheros

Hors ligne

#47 06-09-2017 15:07:09

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu] Nouvelle installation Debian 9

il a déja fais #39 , étrange

apt-cache -g policy firmware-atheros


Peut etre il y aura du mieux avec l'option -g mais c'est normalement la configuration de apt par defaut


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#48 06-09-2017 15:10:35

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

Entièrement fait

Edit : une autre commande pour voir apparaître le WiFi ?

 
root@debian:/home/peter# apt update
Ign:1 http://deb.debian.org/debian stretch InRelease
Réception de:2 http://security.debian.org stretch/updates InRelease [62,9 kB]
Réception de:3 http://deb.debian.org/debian stretch-updates InRelease [88,5 kB]
Réception de:4 http://deb.debian.org/debian stretch Release [118 kB]
Réception de:5 http://security.debian.org stretch/updates/main amd64 Packages [163 kB]
Réception de:6 http://deb.debian.org/debian stretch Release.gpg [2.373 B]
Réception de:7 http://security.debian.org stretch/updates/main Translation-en [75,0 kB]
Réception de:8 http://security.debian.org stretch/updates/contrib amd64 Packages [1.352 B]
Réception de:9 http://security.debian.org stretch/updates/contrib Translation-en [1.023 B]
Réception de:10 http://security.debian.org stretch/updates/non-free amd64 Packages [1.272 B]
Réception de:11 http://deb.debian.org/debian stretch/main amd64 Packages [7.095 kB]
Réception de:12 http://security.debian.org stretch/updates/non-free Translation-en [481 B]
Réception de:13 http://deb.debian.org/debian stretch/main Translation-en [5.393 kB]
Réception de:14 http://deb.debian.org/debian stretch/main Translation-fr [1.894 kB]
Réception de:15 http://deb.debian.org/debian stretch/main amd64 DEP-11 Metadata [3.066 kB]
Réception de:16 http://deb.debian.org/debian stretch/main DEP-11 64x64 Icons [6.804 kB]
Réception de:17 http://deb.debian.org/debian stretch/contrib amd64 Packages [50,9 kB]
Réception de:18 http://deb.debian.org/debian stretch/contrib Translation-en [45,9 kB]
Réception de:19 http://deb.debian.org/debian stretch/contrib amd64 DEP-11 Metadata [7.308 B]
Réception de:20 http://deb.debian.org/debian stretch/contrib DEP-11 64x64 Icons [100 kB]
Réception de:21 http://deb.debian.org/debian stretch/non-free amd64 Packages [77,9 kB]
Réception de:22 http://deb.debian.org/debian stretch/non-free Translation-en [79,2 kB]
Réception de:23 http://deb.debian.org/debian stretch/non-free amd64 DEP-11 Metadata [7.180 B]
Réception de:24 http://deb.debian.org/debian stretch/non-free DEP-11 64x64 Icons [30,0 kB]
25,2 Mo réceptionnés en 7s (3.481 ko/s)                                        
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
All packages are up to date.
root@debian:/home/peter# apt search firmware-atheros
En train de trier... Fait
Recherche en texte intégral... Fait
firmware-atheros/stable 20161130-3 all
  Binary firmware for Atheros wireless cards

root@debian:/home/peter# apt-cache policy firmware-atheros
firmware-atheros:
  Installé : (aucun)
  Candidat : 20161130-3
 Table de version :
     20161130-3 500
        500 http://deb.debian.org/debian stretch/non-free amd64 Packages
root@debian:/home/peter# apt install firmware-atheros
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les NOUVEAUX paquets suivants seront installés :
  firmware-atheros
0 mis à jour, 1 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 3.132 ko dans les archives.
Après cette opération, 8.240 ko d'espace disque supplémentaires seront utilisés.
Réception de:1 http://deb.debian.org/debian stretch/non-free amd64 firmware-atheros all 20161130-3 [3.132 kB]
3.132 ko réceptionnés en 1s (2.423 ko/s)      
Sélection du paquet firmware-atheros précédemment désélectionné.
(Lecture de la base de données... 136310 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../firmware-atheros_20161130-3_all.deb ...
Dépaquetage de firmware-atheros (20161130-3) ...
Paramétrage de firmware-atheros (20161130-3) ...
root@debian:/home/peter#
 

Dernière modification par Privateer2 (06-09-2017 15:12:01)


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

#49 06-09-2017 15:53:47

Antidentity
Membre
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Openbox
Inscription : 03-08-2016

Re : [Résolu] Nouvelle installation Debian 9

Voilà, tu as réussi! Le firmware a été installé. Tu peux redémarrer l'ordinateur maintenant. Une fois, redémarré, vérifie si le network-manager trouve les réseaux wifi disponibles et fais-nous en part. smile

Hors ligne

#50 06-09-2017 16:08:00

Privateer2
Membre
Distrib. : Debian GNU/Linux 9 (stretch)
Noyau : Linux 4.9.0-3-amd64
(G)UI : Gnome 3 au moins
Inscription : 04-09-2017

Re : [Résolu] Nouvelle installation Debian 9

Antidentity a écrit :

Voilà, tu as réussi! Le firmware a été installé. Tu peux redémarrer l'ordinateur maintenant. Une fois, redémarré, vérifie si le network-manager trouve les réseaux wifi disponibles et fais-nous en part. smile



Impeccable , Wifi en ordre et connecté
Merci à tous


Bonjour et merci
(L'impression d'être dans un salon de lecture)

(Pourquoi 32 Go ? 16 Go pour l'usage , plus 16 Go pour une trentaine d'onglets/tuto ouverts en permanence smile)

Hors ligne

Pied de page des forums